Merge pi-dev-plus-aosp-without-vendor into stage-aosp-master

Bug: 79597307
Change-Id: I400b7c503fbca6469cb3188e690d8b54e3d9a13d
diff --git a/generate-factory-images-common.sh b/generate-factory-images-common.sh
index dc1bfcd..a2d81ca 100644
--- a/generate-factory-images-common.sh
+++ b/generate-factory-images-common.sh
@@ -101,6 +101,10 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+if ! grep -q dtbo.sig \$(which fastboot); then
+  echo "fastboot too old"
+  exit 1
+fi
 EOF
 if test "$UNLOCKBOOTLOADER" = "true"
 then
@@ -254,6 +258,10 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+if ! grep -q dtbo.sig \$(which fastboot); then
+  echo "fastboot too old"
+  exit 1
+fi
 EOF
 if test "$XLOADER" != ""
 then